/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_NOTIFICATION_DEFINES_H)
#define _NOTIFICATION_DEFINES_H

#define SERVICE_DATA_TEXT APP_CONTROL_DATA_TEXT
#define SERVICE_DATA_TO APP_CONTROL_DATA_TO
#define MAIN_MENU_PATH "images/mainmenu.png"
#define THUMBNAIL_PATH "images/thumbnail1.jpg"
#define ICON1_PATH "images/icon1.png"
#define ICON2_PATH "images/icon2.png"
#define SOUND_PATH "sounds/sound.mp3"
#define SETTING_PKGNAME "org.tizen.setting"

#define MESSAGE_POST "message_post"
#define RECEIVED_DATA "Received_data"

static const char *result_1_text = "Hello there.";
static const char *result_2_text = "WhoIsIt";

/* Result message text constants */
static const char *result_message = "ResultMessage =";
static const char *result_message_success_text = "SUCCESS";
static const char *result_message_failure_text = "FAILURE";
static const char *notify_message_text = "The notify message is";
static const char *launch_argument_text = "launchArgument is";
static const char *badge_is_text = "Badge is";
static const char *app_message_text = "AppMessage";
static const char *ongoing_activity_progress_text = "Ongoing Activity Progress is";
static const char *ongoing_by_app_control_text = "OngoingByAppControl";
static const char *title_text = "TitleText ";
static const char *percentage_content_text = "Progress(%). Press count #";
static const char *byte_content_text = "Progress(Byte). Press count #";
static const char *text_content_text = "Text. Press count #";
static const char *remove_ongoing_notification_text = "All Notifications have been removed.";
static const char *remove_ongoing_notification_by_app_control_text = "OngoingNotificationByAppControl has been removed.";
static const char *remove_ongoing_notification_by_app_id_text = "OngoingNotificationByAppId has been removed.";
static const double percentage_max = 1.0;
static const double percentage_increment = 0.1;
static const double percentage_multiplier = 100;
static const double byte_max = 7000000;
static const double byte_increment = 78461;
static const int invalid_argument = -1;
static const char *alert_text = "AlertText";
static const char *notification_app = "NotificationApp";
static const char *number_alert_text = "17 AlertText";
static const char *first_line = "First line";
static const char *other_columns = "Other columns";
static const char *second_length = "Second long length sting";
static const char *line_text = "line";
static const char *app_control_to_me = "AppControl to me";
static const char *notify_with_request = "New Notification arrived with NotificationRequest by AppId.";
static const char *operation_id_is_text = "operationId is";
static const char *uri_is_text = "uri is";
static const char *target_app_id_text = "The target AppId is";
static const char *app_id_is_text = "AppId is";
static const char *icon_path_is_text = "Icon path is";
static const char *remove_text = "Individual notification has been removed.";
static const char *operation_id_text = "http://tizen.org/appcontrol/operation/notification_temporary";
static const char *extra_data_tizen_org = "http://tizen.org/appcontrol/data/notification";
static const char *uri_text = "mailto:test@tizen.org";
static const char *mime_text = "audio/mp4";
static const char *app_control_request = "AppControlRequestReceived";
static const char *req_id = "reqId:";
static const char *operation_id = "operationId:";
static const char *uri_data_text = "pUriData:";
static const char *mime_type = "pMimeType:";
static const char *extra_data = "ExtraData:";
static const char *key_value = "(Key/Value):";

#endif
